### Method

# Secret Service get_secret_for_dbus_path

#### Declaration [src]

    void
    secret_service_get_secret_for_dbus_path (
      SecretService* self,
      const gchar* item_path,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Get the secret value for a secret item stored in the service.

The item is represented by its D-Bus object path. If you already have a `SecretItem` proxy object, use use `secret_item_get_secret()` to more simply get its secret value.

This function returns immediately and completes asynchronously.

Stability: Unstable

This method is not directly available to language bindings.

#### Parameters

`item_path`

  Type: `const gchar*`

  The D-Bus path to item to retrieve secret for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.